# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name bcmatroska2
%define major 0
%define libname lib%{name}_%{major}
%define develname lib%{name}-devel

Summary:	C Library to Deal with Matroska Files
Name:		bcmatroska2
Version:	5.2.1
Release:	alt1_1
License:	BSD and Zlib and GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/bcmatroska2/-/archive/%{version}/bcmatroska2-%{version}.tar.gz
Patch1:		0001-Fix-multiple-definitions.patch
Patch2:		0001-Fix-linking.patch
# (wally) alow overriding cmake config file location from cmd line
Patch51:	bcmatroska2-0.23-cmake-config-location.patch
BuildRequires:	ccmake cmake ctest
BuildRequires:	libbctoolbox-devel >= %{version}
Source44: import.info

%description
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{libname}
Summary:	C Library to Deal with Matroska Files
Group:		System/Libraries

%description -n	%{libname}
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%setup -qn %{name}-%{?gitdate}%{!?gitdate:%version}
%patch1 -p1
%patch2 -p1
%patch51 -p1


%build
%{mageia_cmake} \
  -DCMAKE_SKIP_RPATH:BOOL=YES \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DCMAKE_INSTALL_INCLUDEDIR:PATH=include/bcmatroska2 \
  -DCONFIG_PACKAGE_LOCATION:PATH=%{_libdir}/cmake/%{name}
%mageia_cmake_build

%install
%mageia_cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/


%changelog
* Thu Nov 23 2023 Igor Vlasenko <viy@altlinux.org> 5.2.1-alt1_1
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.25-alt1_4.git20210209.2
- update by mgaimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 0.23-alt1_4.git20210209.1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1_1
- new version

